Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160525 - GFS fsck not handling extended attributes correctly
Summary: GFS fsck not handling extended attributes correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: AJ Lewis
QA Contact: GFS Bugs
URL:
Whiteboard:
Depends On: 160409
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 15:53 UTC by AJ Lewis
Modified: 2010-01-12 03:05 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-723
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-10 15:25:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:723 normal SHIPPED_LIVE GFS bug fix update 2005-09-30 04:00:00 UTC
Red Hat Product Errata RHBA-2005:741 normal SHIPPED_LIVE GFS bug fix update 2005-10-07 04:00:00 UTC

Description AJ Lewis 2005-06-15 15:53:57 UTC
The fsck portion of bug #160409 looks like a red herring - the fsck was
incorrectly handling extended attributes, so the eattrs ondisk were fine.  It
also looks like it was not changing the things it said it was, because i can run
the fsck against the fs multiple times and get the same errors.

+++ This bug was initially created as a clone of Bug #160409 +++

Description of problem:

Two issues reported:

1. GFS stuck in gfs_releasepage() with gulm_Cb_Handler using >24% of a CPU:
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: stuck in
gfs_releasepage()...
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: blkno = 7161047,
bh->b_count = 2
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: bh->b_journal_head
= !NULL
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: gl = (4, 7155705)
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: bd_new_le.le_trans
= NULL
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
bd_incore_le.le_trans = NULL
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: bd_frozen = NULL
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: bd_pinned = 0
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: bd_ail_tr = NULL
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: ip = 7155705/7155705
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4: ip->i_count = 1,
ip->i_vnode = !NULL
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[0] = NULL
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[1] = NULL
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[2] = NULL
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[3] = NULL
Jun 9 15:17:38 Kaukasian login(pam_unix)[4341]: session opened for user pkgcath7
by (uid=0)
Jun 9 15:17:38 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[4] = NULL
Jun 9 15:17:39 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[5] = NULL
Jun 9 15:17:39 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[6] = NULL
Jun 9 15:17:39 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[7] = NULL
Jun 9 15:17:39 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[8] = NULL
Jun 9 15:17:39 Kaukasian kernel: GFS: fsid=Automatoi:home.4:
ip->i_arch.i_cache[9] = NULL

2. After the node is off-line, gfs_fsck complained "Extended attributes indirect
block out of range...removing", followed by fixing the bitmaps on block numbers
16470-16501 inclusively:

06/12/05 06:01 adingman@Prometheus:~$ sudo gfs_fsck /dev/pool/automatoi_data
Initializing fsck
Starting pass1
Pass1 complete
Starting pass1b
Pass1b complete
Starting pass1c
Extended attributes indirect block out of range...removing
Pass1c complete
Starting pass2
Pass2 complete
Starting pass3
Pass3 complete
Starting pass4
Pass4 complete
Starting pass5
ondisk and fsck bitmaps differ at block 16470
Fix bitmap for block 16470? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16471
Fix bitmap for block 16471? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16472
Fix bitmap for block 16472? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16473
Fix bitmap for block 16473? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16474
Fix bitmap for block 16474? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16475
Fix bitmap for block 16475? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16476
Fix bitmap for block 16476? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16477
Fix bitmap for block 16477? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16478
Fix bitmap for block 16478? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16479
Fix bitmap for block 16479? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16480
Fix bitmap for block 16480? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16481
Fix bitmap for block 16481? (y/n) y
Succeeded.
ondisk and fsck bitmaps differ at block 16482
Fix bitmap for block 16482? (y/n) y
Succeeded. 

Version-Release number of selected component (if applicable):
* 2.4.21-32.0.1.ELsmp 
* GFS-6.0.2.20-2-i686

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 AJ Lewis 2005-06-15 15:56:56 UTC
Steps to reproduce:

1. Get a gfs filesystem setup
2. Mount it with the acl flag
3. Create several largish files on the filesystem:
# for v in `seq 6 20`; do dd if=/dev/urandom of=$v bs=1024 count=50000; done
4. set an acl on one of them
# setfacl -m u:nobody:rw 7
5. unmount GFS
6. run fsck

Actual results:
Starting pass1c
Extended attributes indirect block out of range...removing

Expected results:
Starting pass1c
Pass1c complete



Comment 2 AJ Lewis 2005-06-15 20:15:55 UTC
Fixed in CVS for GFS 6.0

Comment 4 Red Hat Bugzilla 2005-09-30 14:55:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-723.html


Comment 5 Red Hat Bugzilla 2005-10-07 16:53:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-741.html


Comment 6 Red Hat Bugzilla 2005-10-10 15:25:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-723.html



Note You need to log in before you can comment on or make changes to this bug.